\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{hyperref}

% bibliografia
\usepackage[backend=biber,style=numeric,sorting=none]{biblatex}
\usepackage{csquotes}
\addbibresource{bibliography.bib}

\title{Artificial intelligence: assignments discussion}
\author{    
    Marco Magni\\
    851810
}
\date{February 2024}

\begin{document}

    \maketitle
    \begin{abstract}
        Discussion of the four assignments for the \textit{Artificial intelligence} course.
        For each assignment there will be a reference to the instructions provided for the task, the description of the approach used to solve them and the results obtained. This report and the whole material are available at my GitLab repository \cite{repository}.
    \end{abstract}
    
    \input{assignments/assignment_1}
    
    \input{assignments/assignment_2}
    
    \input{assignments/assignment_3}
    
    \input{assignments/assignment_4}

    \printbibliography

\end{document}
